<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Python Regression Tests</title><link rel="stylesheet" href="synopsis.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.73.2" /><link rel="start" href="index.html" title="Synopsis Developer's Guide" /><link rel="up" href="python.html" title="Chapter 2. The Python API" /><link rel="prev" href="formatters.html" title="The HTML Formatter(s)" /><link rel="next" href="cxx.html" title="Chapter 3. The C++ API" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Python Regression Tests</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="formatters.html">Prev</a> </td><th width="60%" align="center">Chapter 2. The Python API</th><td width="20%" align="right"> <a accesskey="n" href="cxx.html">Next</a></td></tr></table></div><div class="section" lang="en" xml:lang="en"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="python-tests"></a>Python Regression Tests</h2></div></div></div><p>
        The python tests mainly consist in some synopsis script, defining a specific
        ASG processor pipeline, together with some input in one of the supported
        languages.
      </p><p>
        The result will be an ASG that is dumped as <span class="emphasis"><em>XML</em></span> to a 
        file for simple validation.
      </p></div><div class="navfooter"><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="formatters.html">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="python.html">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="cxx.html">Next</a></td></tr><tr><td width="40%" align="left" valign="top">The HTML Formatter(s) </td><td width="20%" align="center"><a accesskey="h" href="index.html">Home</a></td><td width="40%" align="right" valign="top"> Chapter 3. The C++ API</td></tr></table></div></body></html>
